Skip to main content
Resource Center/Network Resource/L3 Network Operations

GetFreeIp

GetFreeIp

GET/zstack/v1/l3-networks/ip/free
GET/zstack/v1/l3-networks/{l3NetworkUuid}/ip/free
GET/zstack/v1/l3-networks/ip-ranges/{ipRangeUuid}/ip/free

Operation ID

GetFreeIp

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • l3NetworkUuid
    String

    Optional. The L3 network UUID.Note: Make sure that at least one of l3NetworkUuid and ipRangeUuid is not null.

  • ipRangeUuid
    String

    Optional. The IP range UUID.Note: Make sure that at least one of l3NetworkUuid and ipRangeUuid is not null.

  • start
    String

    The start value.

  • ipRangeType
    String

    Optional. The IP range type.

  • ipVersion
    Integer

    Optional. The IP version.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    L3NetworkInventoryRequired

    See inventory.

    • ipRangeUuid
      StringRequired

      The IP range UUID.

    • ip
      StringRequired

      The IP address.

    • netmask
      StringRequired

      The netmask.

    • gateway
      StringRequired

      The gateway IP address.